<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:paddingLeft="4dp"
    android:paddingRight="4dp">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/slide_background"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundedCornerRadius="8dp"
        app:viewAspectRatio="1.2" />

    <ImageView
        android:id="@+id/playIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/home_slide_video_play"
        app:layout_constraintBottom_toBottomOf="@id/slide_background"
        app:layout_constraintLeft_toLeftOf="@id/slide_background"
        app:layout_constraintRight_toRightOf="@id/slide_background"
        app:layout_constraintTop_toTopOf="@id/slide_background" />

    <TextView
        android:id="@+id/title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="28dp"
        android:ellipsize="end"
        android:lineSpacingExtra="4dp"
        android:maxLines="2"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="新中国成立70年来 从11.3亿美元到4.6万亿美元" />

    <View
        android:id="@+id/bottom_gradient"
        android:layout_width="match_parent"
        android:layout_height="72dp"
        android:background="@drawable/home_slide_gradient"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <TextView
        android:id="@+id/digest"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="24dp"
        android:layout_marginRight="28dp"
        android:layout_marginBottom="24dp"
        android:ellipsize="end"
        android:lineSpacingExtra="4dp"
        android:maxLines="2"
        android:textColor="@color/white"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        tools:text="新中国成立70年来 从11.3亿美元到4.6万亿美元"
        tools:visibility="gone" />

    <include
        android:id="@+id/include_game"
        layout="@layout/game_attach_item"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginRight="12dp"
        android:layout_marginBottom="8dp"
        app:layout_constraintBottom_toBottomOf="parent" />

    <TextView
        android:id="@+id/unknown_background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_gravity="center"
        android:background="@drawable/home_slide_unknown_background"
        android:gravity="center"
        android:lineSpacingExtra="8dp"
        android:text="发布了新内容 \n更新至最新版光环助手可查看哦~"
        android:textColor="@color/white"
        android:textSize="14sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>

